Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class PushDestination

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.PushDestinationId
          com.tibco.bpm.web.client.model.types.org.PushDestination

    public class PushDestination

extends PushDestinationId

Constructor Summary
`PushDestination()`

Method Summary
`java.lang.String` | `getEnabledString()`
`java.lang.String` | `getResAttrGuid()`
`java.lang.String[]` | `getValueArray()`
`boolean` | `isEnabled()`
`void` | `setEnabled(java.lang.String enabled)`
`void` | `setEnabledString(java.lang.String enabledString)`
`void` | `setResAttrGuid(java.lang.String resAttrGuid)`
`void` | `setValueArray(java.lang.String[] valueArray)`
`java.lang.String` | `toString()`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.PushDestinationId
`getChannelId, getChannelType, getName, setChannelId, setChannelType, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushDestination

    public PushDestination()

Method Detail

### getValueArray

    public java.lang.String[] getValueArray()

### setValueArray

    public void setValueArray(java.lang.String[] valueArray)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(java.lang.String enabled)

### getEnabledString

    public java.lang.String getEnabledString()

### setEnabledString

    public void setEnabledString(java.lang.String enabledString)

### getResAttrGuid

    public java.lang.String getResAttrGuid()

### setResAttrGuid

    public void setResAttrGuid(java.lang.String resAttrGuid)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PushDestinationId`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.